## Index

### Functions

- asyncPool

## Functions

### asyncPool

- asyncPool<IN, OUT>(poolLimit: number, items: ReadonlyArray<IN>, iteratorFunction: function): Promise<OUT[]>

- - Defined in node_modules/async-pool-native/dist/async-pool.d.ts:15

  Runs multiple promise-returning & async functions in a limited concurrency pool. It rejects immediately as soon as one of the promises rejects. It resolves when all the promises completes. It calls the iterator function as soon as possible (under concurrency limit).

  template

    IN Type of the input array

  template

    OUT Type of the resolves of the promises

  #### Type parameters

  - #### IN

  - #### OUT

  #### Parameters

  - ##### poolLimit: number

    The pool limit number (>= 1).

  - ##### items: ReadonlyArray<IN>

    Input array.

  - ##### iteratorFunction: function

    Iterator function that takes two arguments (array item and the array itself). The iterator function should either return a promise or be an async function.

    - - (generator: IN): Promise<OUT>

      - #### Parameters

        - ##### generator: IN

        #### Returns Promise<OUT>

  #### Returns Promise<OUT[]>

Generated using TypeDoc